Bug 1128239 - Clone VM: wrong name is shown in event log when cloning a VM
Summary: Clone VM: wrong name is shown in event log when cloning a VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On: 1058832
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 16:28 UTC by Pavel Novotny
Modified: 2016-02-10 19:51 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:42:30 UTC
oVirt Team: Virt


Attachments (Terms of Use)
engine.log and screenshot (28.51 KB, application/x-gzip)
2014-08-08 16:28 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31903 master MERGED core: wrong name is shown in event log when cloning a VM Never
oVirt gerrit 31950 ovirt-engine-3.5 MERGED core: wrong name is shown in event log when cloning a VM Never

Description Pavel Novotny 2014-08-08 16:28:57 UTC
Created attachment 925217 [details]
engine.log and screenshot

Description of problem:
When cloning VM named 'original-vm' as new VM 'clone-vm', the main event log in Webadmin (at the bottom) says 'VM original-vm creation was initiated by admin.' but there should be 'clone-vm' instead.

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. In Webadmin, have a VM named 'original-vm'.
2. Clone it as new VM named 'clone-vm'.
3. Check the main event log at the bottom.

Actual results:
The events are (from latest to oldest):

2014-Aug-08, 17:53    VM clone-vm creation has been completed.
2014-Aug-08, 17:53    VM original-vm creation was initiated by admin.


Expected results:

2014-Aug-08, 17:53    VM clone-vm creation has been completed.
2014-Aug-08, 17:53    VM clone-vm creation was initiated by admin.


Additional info:
Attached screenshot and engine.log.

Comment 1 Lukas Svaty 2014-09-16 13:24:14 UTC
verified in vt3

Comment 2 Sandro Bonazzola 2014-10-17 12:42:30 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.